package com.rjconsultores.ventaboletos.vo.mercadopago;

import java.util.Objects;

public class StoreVO {

	private String id;
	private String name;
	private String external_id;
	private Location location;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getExternal_id() {
		return external_id;
	}

	public void setExternal_id(String external_id) {
		this.external_id = external_id;
	}

	public Location getLocation() {
		return location;
	}

	public void setLocation(Location location) {
		this.location = location;
	}

	public static class Location {
		private String street_number;
		private String street_name;
		private String city_name;
		private String state_name;
		private Float latitude;
		private Float longitude;
		private String reference;

		public String getStreet_number() {
			return street_number;
		}

		public void setStreet_number(String street_number) {
			this.street_number = street_number;
		}

		public String getStreet_name() {
			return street_name;
		}

		public void setStreet_name(String street_name) {
			this.street_name = street_name;
		}

		public String getCity_name() {
			return city_name;
		}

		public void setCity_name(String city_name) {
			this.city_name = city_name;
		}

		public String getState_name() {
			return state_name;
		}

		public void setState_name(String state_name) {
			this.state_name = state_name;
		}

		public Float getLatitude() {
			return latitude;
		}

		public void setLatitude(Float latitude) {
			this.latitude = latitude;
		}

		public Float getLongitude() {
			return longitude;
		}

		public void setLongitude(Float longitude) {
			this.longitude = longitude;
		}

		public String getReference() {
			return reference;
		}

		public void setReference(String reference) {
			this.reference = reference;
		}

	}

	@Override
	public String toString() {
		return this.getExternal_id();
	}

	@Override
	public int hashCode() {
		return Objects.hash(external_id, id, name);
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		StoreVO other = (StoreVO) obj;
		return Objects.equals(external_id, other.external_id) && Objects.equals(id, other.id)
				&& Objects.equals(name, other.name);
	}

}
